<template>
  <div class="grid grid-cols-2 gap-3 mb-5 xl:grid-cols-4">
    <el-select placeholder="Фильтровать по дате">
      <el-option
        v-for="item in dateFilter"
        :key="item.value"
        :label="item.label"
        :value="item.value"
      />
    </el-select>
    <el-select placeholder="Фильтровать по уровню">
      <el-option
        v-for="item in levelFilter"
        :key="item.value"
        :label="item.label"
        :value="item.value"
      />
    </el-select>
    <el-select placeholder="Фильтровать по формату">
      <el-option
        v-for="item in formatFilter"
        :key="item.value"
        :label="item.label"
        :value="item.value"
      />
    </el-select>
    <el-select placeholder="Фильтровать по наличию мест">
      <el-option
        v-for="item in hadFilter"
        :key="item.value"
        :label="item.label"
        :value="item.value"
      />
    </el-select>
  </div>
</template>

<script setup lang="ts">
type ElType = {
  label: string;
  value: string;
};

const dateFilter: ElType[] = [
  {
    label: "Сегодня",
    value: "today",
  },
  {
    label: "Все время",
    value: "all",
  },
];
const levelFilter: ElType[] = [
  {
    label: "Лайт",
    value: "ligth",
  },
  {
    label: "Медиум",
    value: "medium",
  },
  {
    label: "Хард",
    value: "hard",
  },
];
const formatFilter: ElType[] = [
  {
    label: "С тренером",
    value: "trainer",
  },
  {
    label: "Игровая",
    value: "plaing",
  },
];
const hadFilter: ElType[] = [
  {
    label: "Есть места",
    value: "havePlace",
  },
  {
    label: "В очередь",
    value: "turn",
  },
];
</script>
